# Agentpy - Agent-based modeling in Python

Agentpy is a package for the development and analysis of agent-based models in Python. The project is still in an early stage of development. If you need help or want to contribute, feel free to write me via joel.foramitti@uab.cat.

**Main features:**

- Design of agent-based models with complex procedures.
- Creation of custom agent types, environments, and networks.
- Container classes for operations on groups of agents and environments.
- Experiments with repeated iterations, large parameter samples, and distinct scenarios.
- Output data that can be saved, loaded, and transformed for further analysis.
- Tools for sensitivity analysis, interactive output, animations, and plots.

**Documentation:** https://agentpy.readthedocs.io

**Model library:** https://agentpy.readthedocs.io/en/latest/models.html

**Requirements:** Python 3, NumPy, scipy, matplotlib, networkx, pandas, SALib, and ipywidgets.

**Installation:** `pip install agentpy`
